apply plugin: 'com.android.library'
apply plugin: 'com.jakewharton.butterknife'


android {
    compileSdkVersion rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion
    defaultConfig {
        //applicationId "com.rv.travel"

        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode 1
        versionName "1.0"

        javaCompileOptions {
            annotationProcessorOptions {
                includeCompileClasspath = true
            }
        }

        javaCompileOptions {

            annotationProcessorOptions {

                arguments = [moduleName :project.getName() ]

            } }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
        repositories {
            flatDir {
                dirs 'libs' //this way we can find the .aar file in libs folder
                // 所有Module应该保持一致，要么加上，要么去掉
                //aar包引入
                //compile(name:'camerascan-1.0', ext:'aar')
            }
        }
    }


    dependencies {
        api fileTree(include: ['*.jar'], dir: 'libs')
        androidTestImplementation('com.android.support.test.espresso:espresso-core:2.2.2', {
            exclude group: 'com.android.support', module: 'support-annotations'
        })

        //api project(path: ':WXPay')
        api project(path: ':RvFrame')
        api 'com.jakewharton:butterknife:9.0.0-rc1'
        annotationProcessor 'com.jakewharton:butterknife-compiler:9.0.0-rc1'
        implementation 'com.github.zcweng:switch-button:0.0.3@aar'
        annotationProcessor'com.alibaba:arouter-compiler:1.1.4'
    }
}
